<?php
// Correction d'intitulés de savoirs APD
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_savoirs2 WHERE s2_id = 'APD2AP211'"))==1) {	mysqli_query($bdd,"UPDATE ".$prefix."_savoirs2 SET nom_savoir = 'Réaliser une production documentaire (exposé, dossier...) à partir d\'une recherche d\'information. Devenir auteur. Savoir citer d\'autres travaux à l\'intérieur d\'une production documentaire.' WHERE s2_id = 'APD2AP211'"); }
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_savoirs1 WHERE s1_id = 'APD1AP211'"))==1) {	mysqli_query($bdd,"UPDATE ".$prefix."_savoirs1 SET nom_savoir = 'Réaliser une production documentaire (exposé, dossier...) à partir d\'une recherche d\'information. Devenir auteur. Savoir citer d\'autres travaux à l\'intérieur d\'une production documentaire.' WHERE s1_id = 'APD1AP211'"); }
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_savoirst WHERE st_id = 'APDTAP211'"))==1) {	mysqli_query($bdd,"UPDATE ".$prefix."_savoirst SET nom_savoir = 'Réaliser une production documentaire (exposé, dossier...) à partir d\'une recherche d\'information. Devenir auteur. Savoir citer d\'autres travaux à l\'intérieur d\'une production documentaire.' WHERE st_id = 'APDTAP211'"); }

// Ajout d'une colonne progression dans la table ".$prefix."_sequences
mysqli_query($bdd,"ALTER TABLE ".$prefix."_sequences ADD progression INT ( 11 ) DEFAULT NULL");
mysqli_query($bdd,"UPDATE ".$prefix."_sequences SET progression = '1000' WHERE progression IS NULL");

// Ajout de colonne pour choix d'alignement dans la table ".$prefix."_user
mysqli_query($bdd,"ALTER TABLE ".$prefix."_user ADD align_activ VARCHAR ( 10 ) DEFAULT NULL");
mysqli_query($bdd,"ALTER TABLE ".$prefix."_user ADD align_espace VARCHAR ( 10 ) DEFAULT NULL");
mysqli_query($bdd,"UPDATE ".$prefix."_user SET align_activ = 'h' WHERE align_activ IS NULL");
mysqli_query($bdd,"UPDATE ".$prefix."_user SET align_espace = 'h' WHERE align_espace IS NULL");

// Suppression des groupes désactivés
mysqli_query($bdd,"DELETE FROM ".$prefix."_groupes WHERE groupe_actif = 0");

//ajout d'une option de visualisation des fréquentations par espace en inscriptions
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_vision_espaces_ins'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('freq_vision_espaces_ins', '0', 'Option de visibilité du nombre d\'inscrits par espace.')");
}

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.31' WHERE param_nom = 'version_bdd'");
?>